#!/usr/bin/env node
import { program } from 'commander';
import { Effect } from 'effect';
import { io } from '../io/index.js';
import { showHelpOnError } from '../lib/show-help-on-error.js';
import { option } from '../option.js';
import { list } from './list.js';
program.description('  List all dependencies required by your packages.');
program.on('--help', () => { });
showHelpOnError(program);
program
    .option(...option.source)
    .option(...option.filter)
    .option(...option.config)
    .option(...option.specs)
    .option(...option.types)
    .parse(process.argv);
Effect.runPromise(list({
    io,
    cli: {
        configPath: program.opts().config,
        filter: program.opts().filter,
        source: program.opts().source,
        specs: program.opts().specs,
        types: program.opts().types,
    },
}));
